Skip to main content
GET
/
registry
/
actions
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "namespace": "<string>",
    "origin": "<string>",
    "action": "<string>",
    "default_title": "<string>",
    "display_group": "<string>",
    "availability": {
      "locked": false,
      "missing_entitlements": [
        "<string>"
      ]
    }
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Query Parameters

include_locked
boolean
default:false

Include actions locked by missing entitlements

Response

Successful Response

id
string<uuid4>
required

The registry action id

name
string
required

The name of the action

description
string
required

The description of the action

namespace
string
required

The namespace of the action

type
enum<string>
required

The type of the action

Available options:
udf,
template
origin
string
required

The origin of the action as a url

action
string
required
read-only

The full action identifier.

default_title
string | null

The default title of the action

display_group
string | null

The presentation group of the action

availability
RegistryActionAvailability · object

Availability metadata for this action